﻿namespace U2UConsult.WinRT.CarouselSample
{
    using System.Collections.ObjectModel;

    public class MainPageViewModel
    {
        public MainPageViewModel()
        {
            this.Cocktail = new Cocktail() { Name = "Bloody Metro Consultant" };
        }

        public ObservableCollection<Product> Products
        {
            get
            {
                ObservableCollection<Product> result = new ObservableCollection<Product>();

                result.Add(new Product() { Name = "White rum", ImagePath = @"/Assets/whiterum.jpg" });
                result.Add(new Product() { Name = "Dark rum", ImagePath = @"/Assets/darkrum.gif" });
                result.Add(new Product() { Name = "Tequila", ImagePath = @"/Assets/tequila.jpg" });
                result.Add(new Product() { Name = "Mint leaves", ImagePath = @"/Assets/mintleaves.jpg" });
                result.Add(new Product() { Name = "Maraschino cherry", ImagePath = @"/Assets/maraschino.jpg" });
                result.Add(new Product() { Name = "Lemon juice", ImagePath = @"/Assets/lemonjuice.jpg" });
                result.Add(new Product() { Name = "Club soda", ImagePath = @"/Assets/clubsoda.png" });
                result.Add(new Product() { Name = "Triple sec", ImagePath = @"/Assets/triplesec.png" });
                result.Add(new Product() { Name = "Orange slice", ImagePath = @"/Assets/orangeslice.png" });
                result.Add(new Product() { Name = "Crushed ice", ImagePath = @"/Assets/crushedice.jpg" });
                result.Add(new Product() { Name = "Cointreau", ImagePath = @"/Assets/cointreau.jpg" });
                result.Add(new Product() { Name = "Pineapple juice", ImagePath = @"/Assets/pineapplejuice.jpg" });

                return result;
            }
        }

        public Cocktail Cocktail { get; set; }
    }
}
