﻿namespace U2UConsult.WinRT.CarouselSample
{
    using Windows.UI.Xaml;
    using Windows.UI.Xaml.Controls;
    using Windows.UI.Xaml.Input;

    public sealed partial class BlankPage : Page
    {
        public BlankPage()
        {
            this.InitializeComponent();
        }

        private void Product_Tapped(object sender, TappedRoutedEventArgs e)
        {
            // Detect Product
            Product product = (sender as FrameworkElement).DataContext as Product;

            // Add Product to beginning of list (since ScrollIntoView does not work)
            if (product != null)
            {
                (this.DataContext as MainPageViewModel).Cocktail.Ingredients.Insert(0, (new Ingredient() { Product = product }));
            }
        }
    }
}
